Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class SectorGeometryList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<SectorGeometry>
                  gov.nasa.worldwind.SectorGeometryList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<SectorGeometry>, Collection<SectorGeometry>, List<SectorGeometry>, RandomAccess

    public class SectorGeometryList

extends ArrayList<SectorGeometry>

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`SectorGeometryList()`
`SectorGeometryList(SectorGeometryList list)`

Method Summary
`List<SectorGeometry>` | `getIntersectingSectors(Sector sector)`
`Point` | `getSurfacePoint(Angle latitude, Angle longitude)`
`Point` | `getSurfacePoint(Angle latitude, Angle longitude, double metersOffset)`
`Point` | `getSurfacePoint(Position position)`
`void` | `pick(DrawContext dc, Point pickPoint)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### SectorGeometryList

    public SectorGeometryList()

### SectorGeometryList

    public SectorGeometryList(SectorGeometryList list)

Method Detail

### getIntersectingSectors

    public List<SectorGeometry> getIntersectingSectors(Sector sector)

### getSurfacePoint

    public Point getSurfacePoint(Angle latitude,
                                 Angle longitude)

### getSurfacePoint

    public Point getSurfacePoint(Angle latitude,
                                 Angle longitude,
                                 double metersOffset)

### getSurfacePoint

    public Point getSurfacePoint(Position position)

### pick

    public void pick(DrawContext dc,
                     Point pickPoint)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD